Subject: Re: [bug#34845] [PATCH 00/30] Update LXQt to 0.14.1.
From: Ricardo Wurmus <[email-masked]>
To: Meiyo Peng <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 14 Mar 2019 09:25:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Meiyo Peng <[email-masked]> writes:

>> I see that we already received a change set in #34795, which aims to
>> achieve the same goal.  Unfortunately, #34795 is just one big diff.
>
> Sorry.  I am not actively monitoring this mailing list, so I didn't
> notice that email.  I'm busy as hell and nearly wore out myself.

No worries, that’s why I mentioned it :)

>> Do you see anything in that diff that might be useful for this patch
>> series?
>
> I briefly checked that big diff and notice only one special hack not
> included in this patch series.
>
> He disabled the test for qemu in that patch:
>
> #+begin_src diff
>   diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
>   index 8d9d2335e..d935fd4e4 100644
>   --- a/gnu/packages/virtualization.scm
>   +++ b/gnu/packages/virtualization.scm
>   @@ -120,6 +120,7 @@
>        (arguments
>         '(;; Running tests in parallel can occasionally lead to failures, like:
>           ;; boot_sector_test: assertion failed (signature == SIGNATURE):
>   (0x00000000 == 0x0000dead)
>   +       #:tests? #f
>           #:parallel-tests? #f
>           #:configure-flags (list "--enable-usb-redir" "--enable-opengl"
>                                   (string-append "--smbd="
> #+end_src
>
> This is probably a careless mistake.

Okay.  Thank you for checking!

> I have tested this patch series on my computer for over two weeks so I
> think it's probably safe to merge.

I looked through your patches and they look good to me.  Please push.

Thanks!

-- 
Ricardo